% simula il carrello col controllo feedback PD
%
condizioni_init = [0;0];
% spostamento iniziale: 0
% velocita' iniziale: 0
% -----------------------------------------
% costanti del problema
%
% massa del carrello M
M = 123.52;   % kg
h = 90.12;     % Ns/m
k = 12.89;     % N/m
% cosi' roots([M h k]) complesse coniug.
% se invece: 
% M = 123.52;   % kg
% h = 90.12;     % Ns/m
% k = 10.89;     % N/m
% allora roots([M h k]) reali distinte
%
% valori nominali:
%   costante  elastica della molla
%   spostamento A REGIME desiderato
k_bar = 11.09; % N/m
x0 = 4.71;    % m
%

% controllo feedback
alpha = 450.0;
beta = 96.2;

t = linspace(0, 200, 1000);
% 50 s di simulazione; valutati 1000 istanti di tempo

f_to_solve = @(x,t) sys_carrello_closedloopPD(x, t, x0, k_bar, M, h, k, alpha, beta);
x = lsode(f_to_solve, condizioni_init, t);


figure;plot(t, x(:,1));hold on;
plot(t, x0*ones(size(t)),'r--'); 